Set nocount On
/*
	SCRIPT PARA SER EXECUTADO NA ORIGEM
*/

/*
	TABELA EMPRESA
*/
If Not Exists (Select Top 1 1 from  INFORMATION_SCHEMA.COLUMNS where table_name = 'EMPRESA' and Column_Name = 'EMPRESA_SUPERIOR')
Begin	
	ALTER TABLE EMPRESA ADD EMPRESA_SUPERIOR INT NULL
End
Go

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'EMPRESA' and Column_Name = 'ID_GPECON')
Begin
	ALTER TABLE EMPRESA ADD ID_GPECON int NULL 
End
Go

/*
	TABELA CADASTRO_CLI_FOR
*/
If Not Exists (Select Top 1 1 from  INFORMATION_SCHEMA.COLUMNS where table_name = 'CADASTRO_CLI_FOR' and Column_Name = 'NAO_ENVIA_UX')
Begin	
	ALTER TABLE CADASTRO_CLI_FOR ADD NAO_ENVIA_UX BIT NOT NULL DEFAULT (0)
End
Go

/*
	TABELA LOJAS_VAREJO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'LOJAS_VAREJO' and Column_Name = 'ID_LOJA')
Begin
	ALTER TABLE LOJAS_VAREJO ADD ID_LOJA INT
End
Go

/*
	TABELA LOJA_VENDEDORES
*/

If Not Exists (Select Top 1 1 from  INFORMATION_SCHEMA.COLUMNS where table_name = 'LOJA_VENDEDORES' and Column_Name = 'EMAIL')
Begin	
	ALTER TABLE LOJA_VENDEDORES ADD EMAIL VARCHAR(250) NULL
End
Go

/*
	TABELA COLECOES
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'COLECOES' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE COLECOES ADD ID_ATRIBUTO int NULL 
End
Go

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COLECOES' AND COLUMN_NAME = 'COD_COLECAO' )
Begin
		ALTER TABLE COLECOES ADD COD_COLECAO CHAR (2)  NULL 
END
GO

/*
	TABELA CORES_BASICAS
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'CORES_BASICAS' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE CORES_BASICAS ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_GRUPO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_GRUPO' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_GRUPO ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_TAMANHOS
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_TAMANHOS' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_TAMANHOS ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_GRIFFES
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_GRIFFES' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_GRIFFES ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_TIPOS
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_TIPOS' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_TIPOS ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_LINHAS
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_LINHAS' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_LINHAS ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_CATEGORIA
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_CATEGORIA' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_CATEGORIA ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_SEGMENTO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_SEGMENTO' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_SEGMENTO ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_SOLUCAO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_SOLUCAO' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_SOLUCAO ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_SUBGRUPO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_SUBGRUPO' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_SUBGRUPO ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_SUBCATEGORIA
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_SUBCATEGORIA' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_SUBCATEGORIA ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA PRODUTOS_MODELO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'PRODUTOS_MODELO' and Column_Name = 'ID_ATRIBUTO')
Begin
	ALTER TABLE PRODUTOS_MODELO ADD ID_ATRIBUTO int NULL 
End
Go

/*
	TABELA TABELAS_PRECO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'TABELAS_PRECO' and Column_Name = 'ID_TAB_PRECO')
Begin
	ALTER TABLE TABELAS_PRECO ADD ID_TAB_PRECO int NULL 
End
Go

If Not Exists (Select Top 1 1 from  INFORMATION_SCHEMA.COLUMNS where table_name = 'TABELAS_PRECO' and Column_Name = 'NAO_ENVIA_UX')
Begin	
	ALTER TABLE TABELAS_PRECO ADD NAO_ENVIA_UX BIT NOT NULL DEFAULT (0)
End
Go

/*
	TABELA CLIENTES_VAREJO
*/

If Not Exists (Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'CLIENTES_VAREJO' and Column_Name = 'INATIVO_PARA_CRM')
Begin
	ALTER TABLE CLIENTES_VAREJO ADD INATIVO_PARA_CRM bit null
End
Go

--Atualiza a Coluna para não enviar valores Nulos.
Update Clientes_Varejo Set INATIVO_PARA_CRM = 0, Data_Para_Transferencia = Data_Para_Transferencia where INATIVO_PARA_CRM is null
GO

If Exists(Select Top 1 1 From Information_Schema.Columns Where Table_Name = 'CLIENTES_VAREJO' and Column_Name = 'INATIVO_PARA_CRM' And Is_Nullable != 'NO')
Begin
	Exec('ALTER TABLE CLIENTES_VAREJO Alter Column INATIVO_PARA_CRM bit not null ')
	EXEC SP_BINDEFAULT 'DEFAULT_0', [CLIENTES_VAREJO.INATIVO_PARA_CRM]	
End
Go

--Atualiza a Coluna para não enviar valores Nulos.
Update Clientes_Varejo Set LX_STATUS_CLIENTE = 3, Data_Para_Transferencia = Data_Para_Transferencia where LX_STATUS_CLIENTE is null
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CLIENTES_VAREJO' AND COLUMN_NAME = 'ID_ACAO_CAMPANHA' )
BEGIN
	ALTER TABLE CLIENTES_VAREJO ADD ID_ACAO_CAMPANHA INT NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CLIENTES_VAREJO' AND COLUMN_NAME = 'ID_CRM_PFJ' )
BEGIN
	ALTER TABLE CLIENTES_VAREJO ADD ID_CRM_PFJ INT NULL 
END
GO

/*
	TABELA PRODUTOS
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PRODUTOS' AND COLUMN_NAME = 'ID_ARTIGO' )
BEGIN
	ALTER TABLE PRODUTOS ADD ID_ARTIGO INT  NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PRODUTOS' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE PRODUTOS ADD LX_HASH VARBINARY (16)  NULL 
END
GO

/*
	TABELA PRODUTOS_BARRA
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PRODUTOS_BARRA' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE PRODUTOS_BARRA ADD LX_HASH VARBINARY (16)  NULL 
END
GO
 
/*
	TABELA PRODUTOS_PRECOS
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PRODUTOS_PRECOS' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE PRODUTOS_PRECOS ADD LX_HASH VARBINARY (16)  NULL 
END
GO

/*
	TABELA ESTOQUE_PRODUTOS
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'ESTOQUE_PRODUTOS' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE ESTOQUE_PRODUTOS ADD LX_HASH VARBINARY (16)  NULL 
END
GO
 

/*
	TABELA LOJA_VENDA
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'COD_FIDELIDADE_RESGATE' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD COD_FIDELIDADE_RESGATE INT NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'HORA_ACUMULO_FIDELIDADE' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD HORA_ACUMULO_FIDELIDADE VARCHAR (10)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'HORA_RESGATE_FIDELIDADE' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD HORA_RESGATE_FIDELIDADE VARCHAR (10)  NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'ID_ACAO_CAMPANHA' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD ID_ACAO_CAMPANHA INT NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'ID_MOTIVO_DEVOLUCAO' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD ID_MOTIVO_DEVOLUCAO SMALLINT NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD LX_HASH VARBINARY (16)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'NSU_ACUMULO_FIDELIDADE' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD NSU_ACUMULO_FIDELIDADE VARCHAR (15)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA' AND COLUMN_NAME = 'NSU_RESGATE_FIDELIDADE' )
BEGIN
	ALTER TABLE LOJA_VENDA ADD NSU_RESGATE_FIDELIDADE VARCHAR (15)  NULL 
END
GO
 

/*
	TABELA LOJA_VENDA_PARCELAS
*/

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PARCELAS' AND COLUMN_NAME = 'ID_DOCUMENTO_ECF' )
BEGIN
	ALTER TABLE LOJA_VENDA_PARCELAS ADD ID_DOCUMENTO_ECF INT NULL 
END
GO

IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PARCELAS' AND COLUMN_NAME = 'CHEQUE_DIGITO' )
BEGIN
	ALTER TABLE LOJA_VENDA_PARCELAS ADD CHEQUE_DIGITO CHAR (1)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PARCELAS' AND COLUMN_NAME = 'ID_PLANO_FINANCIAMENTO' )
BEGIN
	ALTER TABLE LOJA_VENDA_PARCELAS ADD ID_PLANO_FINANCIAMENTO SMALLINT NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PARCELAS' AND COLUMN_NAME = 'VALOR_PARCELA_FINANC' )
BEGIN
	ALTER TABLE LOJA_VENDA_PARCELAS ADD VALOR_PARCELA_FINANC NUMERIC (14,2)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PARCELAS' AND COLUMN_NAME = 'VALOR_TAC' )
BEGIN
	ALTER TABLE LOJA_VENDA_PARCELAS ADD VALOR_TAC NUMERIC (14,2)  NULL 
END
GO


/*
	TABELA LOJA_VENDA_PRODUTO
*/
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PRODUTO' AND COLUMN_NAME = 'LX_HASH' )
BEGIN
	ALTER TABLE LOJA_VENDA_PRODUTO ADD LX_HASH VARBINARY (16)  NULL 
END
GO
 
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'LOJA_VENDA_PRODUTO' AND COLUMN_NAME = 'VALOR_TOTAL' )
BEGIN
	ALTER TABLE LOJA_VENDA_PRODUTO ADD VALOR_TOTAL NUMERIC (18,2)  NULL 
END
GO

/*
	TABELA PRODUTOS_FOTO
*/
IF NOT EXISTS (SELECT TOP 1 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PRODUTOS_FOTO' AND COLUMN_NAME = 'FOTO_ESTAMPA' )
BEGIN	
	EXEC('ALTER TABLE PRODUTOS_FOTO ADD FOTO_ESTAMPA BIT')
	EXEC('UPDATE PRODUTOS_FOTO SET FOTO_ESTAMPA = 0')
	EXEC('ALTER TABLE PRODUTOS_FOTO ALTER COLUMN FOTO_ESTAMPA BIT NOT NULL')
	EXEC SP_BINDEFAULT 'DEFAULT_0', 'PRODUTOS_FOTO.FOTO_ESTAMPA';
END

Set nocount off

